import { Uncrumb } from './Uncrumb';
export declare class Collector {
    map: Map<number, Uncrumb>;
    numberOfSlices: number;
    verificationHash: string;
    hashEngine: string;
    private padder;
    constructor(map: Map<number, Uncrumb>, numberOfSlices: number, verificationHash: string, hashEngine: string);
    /**
       * Test whether the passed data once hashed equals the verification hash
       *
       * @param data
       */
    check(data: Buffer): Promise<boolean>;
    /**
       * @returns the concatenated slices into the obfuscated string
       */
    toObfuscated(): Buffer;
}
//# sourceMappingURL=Collector.d.ts.map