import { FPECipher } from 'feistel-cipher';
export declare const DEFAULT_HASH_ENGINE: string;
export declare const DEFAULT_KEY_STRING = "8ed9dcc1701c064f0fd7ae235f15143f989920e0ee9658bb7882c8d7d5f05692";
export declare const DEFAULT_ROUNDS = 10;
export declare class Obfuscator {
    readonly cipher: FPECipher;
    constructor(cipher: FPECipher);
    /**
     * Obfuscate the passed data
     *
     * @param {string} data - the data to obfuscate
     * @returns the byte array of the obfuscated result
     */
    apply(data: string): Buffer;
    /**
     * Deobfuscate the passed data
     *
     * @param {Buffer} obfuscated - the byte array to use
     * @returns the deobfuscated string
     */
    unapply(obfuscated: Buffer): string;
}
//# sourceMappingURL=index.d.ts.map