export * from './client';
export * from './client/Browser/Worker';
export * from './core/Crumbl';
export * from './core/Uncrumbl';
export * from './Decrypter';
export * from './Encrypter';
export * from './Hasher';
export * from './Obfuscator';
export * from './Padder';
export * from './Slicer';
export * from './crypto';
export * from './models/Base64';
export * from './models/Signer';
export declare const START_PADDING_CHARACTER = "\u0002";
export declare const END_PADDING_CHARACTER = "\u0003";
export declare const unpad: (str: string) => string;
/**
 * Compute the euclidean division of the passed integers
 *
 * @param {number} numerator - the numerator integer
 * @param {number} denominator - the denominator integer
 * @returns a tuple of (quotient, remainder) integers
 * @throws division by zero
 */
export declare const euclideanDivision: (numerator: number, denominator: number) => [number, number];
//# sourceMappingURL=index.d.ts.map